Details
  • Last release: 2.23.0.920
  • 1 week ago

Best media playback engine for your Plex Server

Plex Media Player build around the knapsu AppImage version

Dependencies
  • HD_Station >= 4.0.0
  • HD_Station < 6.0.0

QTS
Requires QTS 4.4.0 or later

Models
TS-NASX86 64bits

Thanks for your support
No older version